summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--board/cem/init.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/board/cem/init.sh b/board/cem/init.sh
new file mode 100644
index 0000000..6708588
--- /dev/null
+++ b/board/cem/init.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+TARGET_IP="eth0" # need to match the one on install.sh
+HOME_PATH="xioh-acceptance/board/full_IO/"
+TEST_FILE="/tmp/random_$SIZE_FILE"
+
+
+cd $HOME_PATH
+cp sound/testing_file.wav /tmp/
+scp sound/testing_file.wav $TARGET_IP:/tmp/
+
+/bin/bash install.sh te
+
+cd ../cem
+scp eth_perf.sh $TARGET_IP
+
+if [ ! -e $TEST_FILE ]
+then
+ dd if=/dev/urandom of=$TEST_FILE bs=$((1024*1024)) count=${SIZE_FILE//[a-zA-Z]/}
+ /usr/bin/md5sum $TEST_FILE > $TEST_FILE.md5sum
+fi
+
+